Get Vehicle Payment Calculations
Calculate detailed vehicle payment information including loan amounts, monthly payments, taxes, fees, and complete cost breakdowns. Get accurate financing estimates based on vehicle details, purchase price, location, and loan terms.
Use your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY
In: header
Path Parameters
17-character Vehicle Identification Number
^[A-HJ-NPR-Z0-9]{17}$Query Parameters
Vehicle sales price. Defaults to the vehicle's estimated used retail value, else 25000
5-digit ZIP code for tax, fee and rate calculations. Defaults to your account ZIP code, else 94020
^[0-9]{5}(-[0-9]{4})?$Dealer documentation fee
200Trade-in vehicle value
0Down payment amount
0Loan term in months (term is accepted too). Rates are quoted for 36, 48, 60, 72 and 84 months; for any other term, pass interestRate
72Borrower credit score, used to quote the interest rate
"750"Annual interest rate (APR, %) to price the loan at, instead of the quoted rate for the term. Quoted rates are used-auto loan rates; for an RV, motorcycle or other non-car loan, pass your lender's rate
Response Body
curl -X GET "https://api.auto.dev/payments/string?price=0&zip=string&docFee=200&tradeIn=0&downPayment=0&loanTerm=72&creditScore=750&interestRate=0"{
"vehicle": {
"vin": "1C4RJFAG0FC625797",
"year": 2015,
"make": "Jeep",
"model": "Grand Cherokee"
},
"criteria": {
"price": "25000",
"zip": "55414",
"docFee": 200,
"tradeIn": "0"
},
"paymentsData": {
"loanAmount": 21952.49,
"loanMonthlyPayment": 363.83,
"loanMonthlyPaymentWithTaxes": 399.35,
"totalTaxesAndFees": 1952.49,
"taxes": {
"combinedSalesTax": 1625,
"stateSalesTax": 1625,
"gasGuzzlerTax": 0
},
"fees": {
"titleFee": 8.25,
"registrationFee": 70.99,
"dmvFee": 48.25,
"combinedFees": 327.49,
"docFee": 200,
"dmvFees": {
"Filing Fee": 7,
"License Plate Fee": 15.5,
"Public Safety Vehicle Fee": 3.5,
"Technology Fee": 2.25,
"Wheelage Tax": 20
}
},
"calculationCriteria": {
"numberOfMonths": 60,
"financeRate": 3.5,
"downPayment": 5000,
"tradeIn": 0,
"tradeInOwedAmount": 0,
"salesPrice": 25000,
"conditionalIncentiveAmount": 0,
"primaryIncentiveAmount": 0,
"docFee": 200,
"zipCode": "55414",
"marketValue": 25000,
"withConcreteTaxesAndFees": true,
"applyLimits": true,
"msrp": 25000,
"lowerLimit": false
}
},
"apr": {
"36": 9.25,
"48": 9.25,
"60": 9.25,
"72": 9.25,
"84": 9.25
},
"totalTaxesAndFees": 1952.49,
"taxes": {
"combinedSalesTax": 1625,
"stateSalesTax": 1625,
"gasGuzzlerTax": 0
},
"fees": {
"titleFee": 8.25,
"registrationFee": 70.99,
"dmvFee": 48.25,
"combinedFees": 327.49,
"docFee": 200,
"dmvFees": {
"Filing Fee": 7,
"License Plate Fee": 15.5,
"Public Safety Vehicle Fee": 3.5,
"Technology Fee": 2.25,
"Wheelage Tax": 20
}
}
}{
"status": 400,
"error": "VIN must be exactly 17 characters containing only letters and numbers (excluding I, O, Q)",
"code": "INVALID_VIN_FORMAT",
"path": "/payments/123Invalid",
"requestId": "a1b2c3d4e5f6g7h8"
}{
"status": 404,
"error": "No vehicle data found for the provided VIN",
"code": "VIN_NOT_FOUND",
"path": "/payments/1FTFW3LDXRFB40317",
"requestId": "b2c3d4e5f6g7h8i9"
}{
"status": 503,
"error": "Payment calculation service temporarily unavailable",
"code": "SOURCE_ERROR",
"path": "/payments/1GYKPDRSXSZ102995",
"requestId": "c3d4e5f6g7h8i9j0"
}